# QVM: Quaternions, Vectors, Matrices

### boost/qvm/vec_index.hpp

### Synopsis:

#include <boost/qvm/vec_index.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value
            template <class A>
            typename vec_traits<A>::scalar_type
            vec_index_read( A const & a, int i );

            //Only enabled if:
            //  is_vec<A>::value
            template <class A>
            typename vec_traits<A>::scalar_type &
            vec_index_write( A & a, int i );
        }
    }

See also: vec_index_read | vec_index_write